hswaw - Bugless #39

kO: calico has node names desynchronized with k8s
03/27/2021 12:14 PM - g3k

Status: Accepted
Priority: Normal
Assignee: implr
Category: hscloud
Description

When a calico node daemon first starts up, it attempts to mark that node with NetworkUnavailable until it is fully healthy.
This is currenlty broken on dcr01s22 and dcr01s24:

2021-03-27 12:03:54.958 [WARNING] [9] startup/startup.go 1203: Failed to set NetworkUnavailable to
False; will retry error=nodes "dcr01ls22" not found

IIUC, calico sees dcr01s22 as 'dcr01s22', while k8s sees it as 'dcr01s22.hswaw.net'. This makes the daemon get into a small retry
loop on startup, slowing things down (but not breaking them).

| attempted calico etcd store surgery for this before, but | think | gave up because | didn't want to affect production too much. We
should drain dcr01s22.hswaw.net at some point (probably after #6) and try to fix this properly.

History

#1 - 09/06/2021 12:48 PM - q3k
- Status changed from New to Assigned

- Assignee set to implr

#2 - 11/21/2021 02:18 PM - implr

- Status changed from Assigned to Accepted

Seems resolved after upgrade to 3.15, will verify some more and resolve.

#3 - 07/04/2022 01:08 PM - q3k

- Category set to hscloud
